import request from '@/utils/request'

// 计划管理- 查询列表
export function listPlanAPI(query) {
    return request({
        url: '/personnel/getPersonnelList',
        method: 'GET',
        params: query,
    })
}

// 计划管理- 新增
export function addPlanAPI(data) {
    return request({
        url: '/personnel/addPersonnel',
        method: 'POST',
        data,
    })
}

// 计划管理- 修改
export function updatePlanAPI(data) {
    return request({
        url: '/personnel/updatePersonnel',
        method: 'POST',
        data,
    })
}

// 计划管理- 删除
export function delPlanAPI(data) {
    return request({
        url: `/personnel/delPersonnel`,
        method: 'POST',
        data,
    })
}
